r18170 - gnucash/trunk/packaging/win32 - Make sure we copy the logfile even on error

Derek Atkins warlord at code.gnucash.org
Fri Jul 3 08:57:34 EDT 2009


Author: warlord
Date: 2009-07-03 08:57:34 -0400 (Fri, 03 Jul 2009)
New Revision: 18170
Trac: http://svn.gnucash.org/trac/changeset/18170

Modified:
   gnucash/trunk/packaging/win32/build_package.sh
Log:
Make sure we copy the logfile even on error

Modified: gnucash/trunk/packaging/win32/build_package.sh
===================================================================
--- gnucash/trunk/packaging/win32/build_package.sh	2009-07-02 08:18:01 UTC (rev 18169)
+++ gnucash/trunk/packaging/win32/build_package.sh	2009-07-03 12:57:34 UTC (rev 18170)
@@ -8,6 +8,13 @@
 
 set -e
 
+function on_error() {
+  if [ `hostname` = "gnucash-win32" ]; then
+    scp -p ${LOGFILE} upload at code.gnucash.org:public_html/win32/trunk
+  fi
+  exit
+}
+
 function unix_path() { echo "$*" | sed 's,^\([A-Za-z]\):,/\1,;s,\\,/,g'; }
 
 tag="$1"
@@ -22,6 +29,8 @@
 LOGFILE=${_OUTPUT_DIR}/${LOGFILENAME}
 mkdir -p ${_OUTPUT_DIR}
 
+trap on_error ERR
+
 # Run the compile
 ./install.sh 2>&1 | tee ${LOGFILE}
 



More information about the gnucash-changes mailing list